Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations
GETAuto-Scaling Group OperationsSince 3.1.0SynchronousAuth Required

QueryAutoScalingVmTemplate

QueryAutoScalingVmTemplate

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • vmInstanceNameStringRequired

      The VM instance name.

    • vmInstanceTypeStringRequired

      The VM instance type.

    • vmInstanceDescriptionStringRequired

      The VM instance description.

    • vmInstanceOfferingUuidStringRequired

      The instance offering of the VM instance.

    • imageUuidStringRequired

      The image UUID of the VM instance.

    • l3NetworkUuidsListRequired

      The L3 networks of the VM instance.

    • rootDiskOfferingUuidStringRequired

      The disk offering of the VM instance root volume.

    • dataDiskOfferingUuidsListRequired

      The disk offerings of the VM instance data volumes.

    • vmInstanceZoneUuidStringRequired

      The zone to which the VM instance belongs.

    • vmInstanceClusterUuidStringRequired

      The cluster to which the VM instance belongs.

    • hostUuidStringRequired

      The host UUID of the VM instance.

    • primaryStorageUuidForRootVolumeStringRequired

      The primary storage where the root volume of the VM instance locates.

    • defaultL3NetworkUuidStringRequired

      The default L3 network of the VM instance.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The template type.

    • stateStringRequired

      The template state.

    • systemTagsListRequired

      系统标签。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/autoscaling/vmtemplate

/zstack/v1/autoscaling/vmtemplate

Operation ID

QueryAutoScalingVmTemplate

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/autoscaling/vmtemplate' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "l3NetworkUuids": [ "9f56c162374d382f9ddb7c383bce6887", "8e07df171471330c83306d78063fba69" ], "rootDiskOfferingUuid": "57fb695d2d033c1e849dac6fb87cebb5", "dataDiskOfferingUuids": [ "52bfe290f5363130a1452e2ca1c57783", "8022018c7f6834d4a7a62a02128672ed" ], "vmInstanceZoneUuid": "cefa21204105347a82148c099c09a0cb", "vmInstanceClusterUuid": "ad7fcc77266f34e8a64fd208a9b7ed38", "hostUuid": "975ceb93de173b22a2b073ee856166e3", "primaryStorageUuidForRootVolume": "87cf45bf5a37364d85ae9968af7d2bd1", "defaultL3NetworkUuid": "8e07df171471330c83306d78063fba69", "uuid": "785259bf48303b0d9a4a34ddc3774da5", "name": "test-template", "description": "just for test", "type": "VmInstance", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history